> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simpu.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update row

> Update a row in a contact table



## OpenAPI

````yaml PATCH /lists/contact/rows/<row_id>
openapi: 3.0.1
info:
  title: OpenAPI Simpu API
  description: Simpu API Documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.simpu.co
security:
  - apiKeyAuth: []
paths:
  /lists/contact/rows/<row_id>:
    patch:
      description: Update a row in a contact table
      parameters:
        - name: row_id
          in: path
          description: The unique ID of the row to update
          required: true
          schema:
            type: string
            example: 674535b2b39158b9aae90188fcec23ec
      requestBody:
        description: Updates the column of a specified row in the contact table
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRowRequest'
        required: true
      responses:
        '200':
          description: Successfully updated the row
          content:
            application/json:
              schema:
                type: object
                properties:
                  row:
                    $ref: '#/components/schemas/Row'
                  table:
                    $ref: '#/components/schemas/Table'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateRowRequest:
      type: object
      properties:
        columns:
          description: >-
            The data values with column IDs as keys and their corresponding
            updated data as values.
          type: object
          example:
            674535b2b39158b9aae90188fcec23ec: John Doe
            674535b2b39158b9aae90188fcec23ed: john@acme.org
            674535b2b39158b9aae90188fcec23ee: '9291234567'
    Row:
      required:
        - id
        - columns
      type: object
      properties:
        id:
          description: 'ID of the row '
          type: string
          example: 674535b2b39158b9aae90188fcec23eb
        columns:
          description: Data values for each column in the row
          type: object
          example:
            674535b2b39158b9aae90188fcec23ec: John Doe
            674535b2b39158b9aae90188fcec23ed: john@acme.org
            674535b2b39158b9aae90188fcec23ee: '9291234567'
        created_datetime:
          description: Date and time the Row was created
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
        updated_datetime:
          description: Date and time the Row was last updated, if any
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
    Table:
      required:
        - id
        - columns
      type: object
      properties:
        id:
          description: ID of the Table
          type: string
          example: 674535b2b39158b9aae90188fcec23eb
        columns:
          description: List of column names in the table
          type: array
          items:
            $ref: '#/components/schemas/TableColumn'
          example:
            - id: 674535b2b39158b9aae90188fcec23ec
              name: name
              type: TEXT
            - id: 674535b2b39158b9aae90188fcec23ed
              name: Email
              type: EMAIL
            - id: 674535b2b39158b9aae90188fcec23ee
              name: Mobile
              type: PHONE NUMBER
        created_datetime:
          description: Date and time the table was created
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
        updated_datetime:
          description: Date and time the table was last updated, if any
          type: string
          example: '2024-06-28T23:56:38.128604+00:00'
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          format: int32
          example: 200
        message:
          type: string
          example: Invalid request
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: 'Error in field: ''name'' Field required.'
              type:
                type: string
                example: missing
    TableColumn:
      required:
        - id
        - name
        - type
      type: object
      properties:
        id:
          description: ID of the column
          type: string
          example: 674535b2b39158b9aae90188fcec23ec
        name:
          description: Name of the column
          type: string
          example: name
        type:
          description: Type of the column
          type: string
          example: TEXT
          enum:
            - TEXT
            - NUMBER
            - DATE
            - PHONE NUMBER
            - EMAIL
            - URL
            - SELECT
            - MULTI SELECT
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: An API key to authenticate requests

````